MongoCollection::update
MongoCursor
MongoCollection
PHP Manual

# MongoCollection::validate

(PECL mongo >=0.9.0)

MongoCollection::validate — Validates this collection

### Description

public array MongoCollection::validate ([ bool `$scan_data` = `FALSE` ] )

### Parameters

`scan_data`

  Only validate indices, not the base collection.

### Return Values

Returns the database's evaluation of this object.

MongoCollection::update
MongoCursor
MongoCollection
PHP Manual